# Contextual Cueing in Collaborative Visual Search

Xuelian Zang1,2 Artyom Zinchenko3, Jiao Wu1, Xiuna Zhu3, Fangfang4 & Zhuanghua Shi3
1. Institutes of Psychological Sciences, College of Education, Hangzhou Normal University, 311121, China
2. Center for Cognition and Brain Disorders, Affiliated Hospital of Hangzhou Normal University, 310015, China.
3. Department Psychologie, Ludwig-Maximilians-Universität München, Munich, Germany
4. School of Psychological and Cognitive Sciences and Beijing Key Laboratory of Behavior and Mental Health, Peking University, Beijing, 100871, China

*. 	Note Xuelian Zang and Artyom Zinchenko contributed equally to this manuscript.

## Abstract

Repeatedly presenting a target within a stable search array facilitates visual search, an effect termed “contextual cueing”. Previous solo-performance studies have shown that contextual learning requires explicit allocation of attentional resources to the task-relevant repeated context, while repeated, but task-irrelevant subsets of items show no contextual benefits. Lack of attention to repeated, but task-irrelevant contexts may weaken contextual cueing. In a co-active  environment, however, people often share some attention to both self-relevant and co-actor relevant context. Whether participants can acquire  co-actor relevant, but self-irrelevant repeated contexts remains unsolved. Thus, the present study adopted the contextual cueing paradigm under the co-active social context. Participants learned a cued subset of the search display (either black or white) in the learning phase, and tested the search performance for the irrelevant subsets in the transfer phase. The experiment was conducted either in a solo condition (Experiments 1 and 3) or in a joint-action condition(Experiment 2). Contextual cueing was observed in all three experiments in the training phase. However, contextual learning of the irrelevant context in the transfer session was only manifested in the joint-action Experiment 2. Our findings suggest that shared focus of attention between partners enables representations of a coactor's task prompting contextual learning of otherwise irrelevant context. We conclude that the social interaction may widen the scope of attention, thus facilitating the acquisition of task-irrelevant contexts.


## Data and code

* data: Exp1_AllData.mat,  Exp2_AllData.mat, Exp3_AllData.mat
* Analysis codes:  dataProcessAll_Exp1.m,  dataProcessAll_Exp2.m,  dataProcessAll_Exp3.m
